if(!Tonyu.load)Tonyu.load=(_,f)=>f();
Tonyu.load({"compiler":{"namespace":"user","defaultSuperClass":"kernel.Actor","dependingProjects":[{"namespace":"kernel"}]},"run":{"mainClass":"user.Main","bootClass":"kernel.Boot","globals":{"$defaultFPS":60,"$imageSmoothingDisabled":true,"$soundLoadAndDecode":false}},"plugins":{"box2d":1},"kernelEditable":false,"language":"tonyu","version":1718850616930}, ()=>{
Tonyu.klass.define({
  fullName: 'user.Cart',
  shortName: 'Cart',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Cart_main() {
        var _this=this;
        
        _this.shape="box";
        _this.density=1;
        _this.friction=0;
        _this.restitution=0;
      },
      fiber$main :function* _trc_Cart_f_main(_thread) {
        var _this=this;
        
        _this.shape="box";
        _this.density=1;
        _this.friction=0;
        _this.restitution=0;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Floor',
  shortName: 'Floor',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Floor_main() {
        var _this=this;
        
        _this.shape="box";
        _this.density=1;
        _this.friction=0;
        _this.restitution=0;
        _this.isStatic=true;
      },
      fiber$main :function* _trc_Floor_f_main(_thread) {
        var _this=this;
        
        _this.shape="box";
        _this.density=1;
        _this.friction=0;
        _this.restitution=0;
        _this.isStatic=true;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        var _this=this;
        
        new Tonyu.classes.user.Floor({x: Tonyu.globals.$screenWidth/2,y: 460,width: 1000,height: 20,fillStyle: "white"});
        Tonyu.globals.$scoreDisp="000000";
        new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: 20,template: "Score: $scoreDisp  "});
        Tonyu.globals.$InitPow=100;
        Tonyu.globals.$pow=30;
        _this.Init();
        Tonyu.globals.$cont=2;
        while (true) {
          Tonyu.checkLoop();
          if (_this.GameOver()) {
            Tonyu.globals.$pole.die();
            Tonyu.globals.$cart.die();
            _this.Init();
            
          }
          Tonyu.globals.$score++;
          _this.scdp="00000"+Tonyu.globals.$score.toString();
          Tonyu.globals.$scoreDisp=_this.scdp.substr(- 6,6);
          _this.Control();
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Main_f_main(_thread) {
        var _this=this;
        
        new Tonyu.classes.user.Floor({x: Tonyu.globals.$screenWidth/2,y: 460,width: 1000,height: 20,fillStyle: "white"});
        Tonyu.globals.$scoreDisp="000000";
        new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: 20,template: "Score: $scoreDisp  "});
        Tonyu.globals.$InitPow=100;
        Tonyu.globals.$pow=30;
        (yield* _this.fiber$Init(_thread));
        Tonyu.globals.$cont=2;
        while (true) {
          yield null;
          if (_this.GameOver()) {
            Tonyu.globals.$pole.die();
            Tonyu.globals.$cart.die();
            (yield* _this.fiber$Init(_thread));
            
          }
          Tonyu.globals.$score++;
          _this.scdp="00000"+Tonyu.globals.$score.toString();
          Tonyu.globals.$scoreDisp=_this.scdp.substr(- 6,6);
          (yield* _this.fiber$Control(_thread));
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      Init :function _trc_Main_Init() {
        var _this=this;
        
        Tonyu.globals.$pole=new Tonyu.classes.user.Pole({x: Tonyu.globals.$screenWidth/2,y: 345,width: 10,height: 160,rotation: 0,fillStyle: "yellow"});
        Tonyu.globals.$cart=new Tonyu.classes.user.Cart({x: Tonyu.globals.$screenWidth/2,y: 434,width: 80,height: 30,fillStyle: "cyan"});
        Tonyu.globals.$cart.addRevoluteJoint({other: Tonyu.globals.$pole});
        _this.rc=_this.rnd(Tonyu.globals.$InitPow*2)-Tonyu.globals.$InitPow;
        Tonyu.globals.$pole.applyForce(_this.rc,0);
        Tonyu.globals.$score=0;
      },
      fiber$Init :function* _trc_Main_f_Init(_thread) {
        var _this=this;
        
        Tonyu.globals.$pole=new Tonyu.classes.user.Pole({x: Tonyu.globals.$screenWidth/2,y: 345,width: 10,height: 160,rotation: 0,fillStyle: "yellow"});
        Tonyu.globals.$cart=new Tonyu.classes.user.Cart({x: Tonyu.globals.$screenWidth/2,y: 434,width: 80,height: 30,fillStyle: "cyan"});
        Tonyu.globals.$cart.addRevoluteJoint({other: Tonyu.globals.$pole});
        _this.rc=_this.rnd(Tonyu.globals.$InitPow*2)-Tonyu.globals.$InitPow;
        Tonyu.globals.$pole.applyForce(_this.rc,0);
        Tonyu.globals.$score=0;
        
      },
      GameOver :function _trc_Main_GameOver() {
        var _this=this;
        
        if (Tonyu.globals.$cart.x<0) {
          return true;
        }
        if (Tonyu.globals.$cart.x>Tonyu.globals.$screenWidth) {
          return true;
        }
        if (Tonyu.globals.$pole.rotation>90) {
          return true;
        }
        if (Tonyu.globals.$pole.rotation<- 90) {
          return true;
        }
        if (Tonyu.globals.$score>500) {
          return true;
        }
        return false;
      },
      fiber$GameOver :function* _trc_Main_f_GameOver(_thread) {
        var _this=this;
        
        if (Tonyu.globals.$cart.x<0) {
          return true;
        }
        if (Tonyu.globals.$cart.x>Tonyu.globals.$screenWidth) {
          return true;
        }
        if (Tonyu.globals.$pole.rotation>90) {
          return true;
        }
        if (Tonyu.globals.$pole.rotation<- 90) {
          return true;
        }
        if (Tonyu.globals.$score>500) {
          return true;
        }
        return false;
        
      },
      Control :function _trc_Main_Control() {
        var _this=this;
        
        if (Tonyu.globals.$cont==0) {
          Tonyu.globals.$mode="Human";
          if (_this.getkey("left")) {
            Tonyu.globals.$cart.applyForce(- Tonyu.globals.$pow,0);
          }
          if (_this.getkey("right")) {
            Tonyu.globals.$cart.applyForce(Tonyu.globals.$pow,0);
          }
          
        }
        if (Tonyu.globals.$cont==1) {
          Tonyu.globals.$mode="RandomDirection";
          _this.rc=0;
          if (_this.rnd(100)<50) {
            _this.rc=Tonyu.globals.$pow;
            
          } else {
            _this.rc=- Tonyu.globals.$pow;
            
          }
          Tonyu.globals.$cart.applyForce(_this.rc,0);
          
        }
        if (Tonyu.globals.$cont==2) {
          Tonyu.globals.$mode="AntiRotate";
          if (Tonyu.globals.$pole.rotation<0) {
            Tonyu.globals.$cart.applyForce(- Tonyu.globals.$pow,0);
          }
          if (Tonyu.globals.$pole.rotation>0) {
            Tonyu.globals.$cart.applyForce(Tonyu.globals.$pow,0);
          }
          
        }
      },
      fiber$Control :function* _trc_Main_f_Control(_thread) {
        var _this=this;
        
        if (Tonyu.globals.$cont==0) {
          Tonyu.globals.$mode="Human";
          if (_this.getkey("left")) {
            Tonyu.globals.$cart.applyForce(- Tonyu.globals.$pow,0);
          }
          if (_this.getkey("right")) {
            Tonyu.globals.$cart.applyForce(Tonyu.globals.$pow,0);
          }
          
        }
        if (Tonyu.globals.$cont==1) {
          Tonyu.globals.$mode="RandomDirection";
          _this.rc=0;
          if (_this.rnd(100)<50) {
            _this.rc=Tonyu.globals.$pow;
            
          } else {
            _this.rc=- Tonyu.globals.$pow;
            
          }
          Tonyu.globals.$cart.applyForce(_this.rc,0);
          
        }
        if (Tonyu.globals.$cont==2) {
          Tonyu.globals.$mode="AntiRotate";
          if (Tonyu.globals.$pole.rotation<0) {
            Tonyu.globals.$cart.applyForce(- Tonyu.globals.$pow,0);
          }
          if (Tonyu.globals.$pole.rotation>0) {
            Tonyu.globals.$cart.applyForce(Tonyu.globals.$pow,0);
          }
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"Init":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"GameOver":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"Control":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"scdp":{},"rc":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Pole',
  shortName: 'Pole',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Pole_main() {
        var _this=this;
        
        _this.shape="box";
        _this.density=1;
        _this.friction=0;
        _this.restitution=0;
      },
      fiber$main :function* _trc_Pole_f_main(_thread) {
        var _this=this;
        
        _this.shape="box";
        _this.density=1;
        _this.friction=0;
        _this.restitution=0;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Time',
  shortName: 'Time',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Time_main() {
        var _this=this;
        
      },
      fiber$main :function* _trc_Time_f_main(_thread) {
        var _this=this;
        
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});

});

//# sourceMappingURL=concat.js.map